package link;

import structure.*;

/**
   Defines the structure of a packet from the link-level
   perspective.  Additional fields may be defined by higher
   levels by extending this class
*/
public class LinkPacket implements StructuredObject
{
   public void FoldInStructure (StructuredStorage s)
   {
      data = s.GetBLOB ("data");
   }

   public void FoldOutStructure (StructuredStorage s)
   {
      s.SetBLOB ("data", data);
   }

   /************************************************************
      Make a string for packet trace messages.  Should be short
    ************************************************************/
   public String toString ()
   {
      return "(Size:" + data.length + ")";
   }

   /************************************************************
      The data to be sent.
    ************************************************************/
   public byte[] data;
}

